Name:          qpid-proton-java
Version:       0.9
Release:       1%{?dist}
Summary:       Java libraries for Qpid Proton
License:       ASL 2.0
URL:           http://qpid.apache.org/proton/
Source0:       http://www.apache.org/dist/qpid/proton/%{version}/qpid-proton-%{version}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.apache.maven.doxia:doxia-module-markdown)
BuildRequires: mvn(org.apache.maven.plugins:maven-site-plugin)
BuildRequires: mvn(org.bouncycastle:bcpkix-jdk15on)
BuildRequires: mvn(org.apache.geronimo.specs:geronimo-jms_1.1_spec)
BuildRequires: mvn(org.apache.geronimo.specs:specs:pom:)
BuildRequires: mvn(org.fusesource.hawtbuf:hawtbuf)
BuildRequires: mvn(org.fusesource.hawtdispatch:hawtdispatch-transport)
BuildRequires: mvn(org.mockito:mockito-core)

BuildArch:     noarch

%description
Java language bindings for the Qpid Proton messaging framework.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n qpid-proton-%{version}

# Unwanted
rm -r tools docs config.* examples/c examples/javascript \
  examples/php examples/python \
  examples/perl examples/ruby examples/engine/c \
  examples/include CMakeLists.txt bin proton-c \
  tests/smoke tests/ruby tests/python tests/tools tests/javascript

sed -i 's|PEMReader|PEMParser|' \
 proton-j/src/main/java/org/apache/qpid/proton/engine/impl/ssl/SslEngineFacadeFactory.java
sed -i 's|pemReader = new PEMParser(reader, passwordFinder);|pemReader = new PEMParser(reader);|' \
 proton-j/src/main/java/org/apache/qpid/proton/engine/impl/ssl/SslEngineFacadeFactory.java

%pom_remove_dep org.python:jython-standalone tests
rm -r tests/java/org/apache/qpid/proton/JythonTest.java

rm -r contrib/proton-hawtdispatch/src/test/java/org/apache/qpid/proton/hawtdispatch/api/SampleTest.java

%mvn_alias :proton-j org.apache.qpid:proton-api org.apache.qpid:proton-j-impl

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%license proton-j/LICENSE
%doc examples/java/messenger/README.txt

%files javadoc -f .mfiles-javadoc
%license proton-j/LICENSE

%changelog
* Tue Apr 07 2015 gil cattaneo <puntogil@libero.it> 0.9-1
- Update to 0.9.

* Thu Feb 12 2015 gil cattaneo <puntogil@libero.it> 0.8-2
- introduce license macro

* Tue Jan 20 2015 gil cattaneo <puntogil@libero.it> 0.8-1
- Update to 0.8.

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri May 02 2014 gil cattaneo <puntogil@libero.it> 0.7-2
- add alias

* Thu May  1 2014 Darryl L. Pierce <dpierce@redhat.com> - 0.7-1
- Rebased on Proton 0.7.

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 0.6-3
- Use Requires: java-headless rebuild (#1067528)

* Mon Jan 20 2014 gil cattaneo <puntogil@libero.it> 0.6-2
- fix release field
- use upstream source archive
- enable test suite

* Fri Jan 17 2014 gil cattaneo <puntogil@libero.it> 0.6-1
- initial rpm
